com.lowagie.text.factories

## Class RomanNumberFactory

- java.lang.Object
- - com.lowagie.text.factories.RomanNumberFactory

-     public class RomanNumberFactory
      extends java.lang.Object

  This class can produce String combinations representing a roman number.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private static class` | `RomanNumberFactory.RomanDigit` Helper class for Roman Digits

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static RomanNumberFactory.RomanDigit[]` | `roman` Array with Roman digits.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RomanNumberFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getLowerCaseString(int index)` Changes an int into a lower case roman number.
    `static java.lang.String` | `getString(int index)` Changes an int into a lower case roman number.
    `static java.lang.String` | `getString(int index, boolean lowercase)` Changes an int into a roman number.
    `static java.lang.String` | `getUpperCaseString(int index)` Changes an int into an upper case roman number.
    `static void` | `main(java.lang.String[] args)` Test this class using this main method.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### roman

          private static final RomanNumberFactory.RomanDigit[] roman

      Array with Roman digits.

  - ### Constructor Detail

    - #### RomanNumberFactory

          public RomanNumberFactory()

  - ### Method Detail

    - #### getString

          public static final java.lang.String getString(int index)

      Changes an int into a lower case roman number.
      Parameters:
        `index` - the original number
      Returns:
        the roman number (lower case)

    - #### getLowerCaseString

          public static final java.lang.String getLowerCaseString(int index)

      Changes an int into a lower case roman number.
      Parameters:
        `index` - the original number
      Returns:
        the roman number (lower case)

    - #### getUpperCaseString

          public static final java.lang.String getUpperCaseString(int index)

      Changes an int into an upper case roman number.
      Parameters:
        `index` - the original number
      Returns:
        the roman number (lower case)

    - #### getString

          public static final java.lang.String getString(int index,
                                   boolean lowercase)

      Changes an int into a roman number.
      Parameters:
        `index` - the original number
      Returns:
        the roman number (lower case)

    - #### main

          public static void main(java.lang.String[] args)

      Test this class using this main method.